import { jsx } from "react/jsx-runtime";
import { TokenSHIK as TokenSHIK$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSHIK = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SHIK", "data-name": "TokenSHIK", ...props, children: /* @__PURE__ */ jsx(TokenSHIK$1, { variant }) });
  }
);
TokenSHIK.displayName = "TokenSHIK";
Object.assign(TokenSHIK, { isGdsIcon: true });
export {
  TokenSHIK
};
